# -*- RPM-SPEC -*-
Summary: Graphical package manager for PU_IAS Linux
Name: system-config-packages-pu_ias
Version: 0.1
Release: 1.PU_IAS.2
URL: http://www.elders.princeton.edu/
Source0: system-config-packages-pu_ias.desktop
Source1: system-config-packages-pu_ias
License: GPL
Group: Applications/System 
BuildArch: noarch
Requires: system-config-packages
Prereq: desktop-file-utils >= 0:0.8
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description

system-config-packages-pu_ias contains a wrapper for 
system-config-packages that enables us to run package
manager directly from the PU_IAS repository.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{_datadir}/applications

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/update-desktop-database %{_datadir}/applications

%files
%defattr(-,root,root)
%{_datadir}/applications/*
%{_bindir}/*

%changelog
* Fri Feb 18 2005 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
